Skip to main content
GET
/
v1
/
conversations
/
{id}
/
transcript
Get a conversation transcript
curl --request GET \
  --url https://api.zelto.ai/v1/conversations/{id}/transcript \
  --header 'Authorization: Bearer <token>'
{
  "conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "recordingUrl": "<string>",
  "durationSeconds": 123,
  "content": "<unknown>",
  "systemPrompt": "<string>"
}

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Path Parameters

id
string<uuid>
required

Response

The transcript with content and (if available) recording URL.

conversationId
string<uuid>
required
createdAt
string<date-time>
required
recordingUrl
string | null

URL to the recording. Re-hosted by Zelto when the provider's URL would otherwise expire.

durationSeconds
number | null
content
any

Turn-by-turn transcript JSON.

systemPrompt
string | null